Bug 1684603 - Review Request: bCNC - GRBL CNC command sender, autoleveler and G-code editor
Summary: Review Request: bCNC - GRBL CNC command sender, autoleveler and G-code editor
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 15:55 UTC by Jaroslav Škarvada
Modified: 2020-07-14 18:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Jaroslav Škarvada 2019-03-01 15:55:27 UTC
Spec URL: https://jskarvad.fedorapeople.org/bCNC/bCNC.spec
SRPM URL: https://jskarvad.fedorapeople.org/bCNC/bCNC-0.9.14.52-0.1.beta.fc29.src.rpm
Description: GRBL CNC command sender, autoleveler, G-code editor, digitizer, CAM and swiss army knife for all your CNC needs.
Fedora Account System Username: jskarvad

It's python2 only, but python3 port is actively worked on:
https://github.com/vlachoudis/bCNC/issues/228

Comment 1 Miro Hrončok 2019-03-01 16:05:35 UTC
You need a FESCo exception for python2 only.

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-04-21 10:28:59 UTC
I think it'd make sense to wait for the python3 version and possibly give upstream a hand with the transition to python3.
Packaging a python2-only project at this time seems like a waste of effort.

Package name should be lower-case.

Comment 3 Jaroslav Škarvada 2019-04-24 16:03:54 UTC
I will probably wait for the python3 version.

Comment 4 Package Review 2020-07-10 00:57:14 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 5 Jaroslav Škarvada 2020-07-14 18:19:35 UTC
I am still going to handle it.


Note You need to log in before you can comment on or make changes to this bug.